# AODataSegmentPartition

Partitions a segment type across processors relative to a key that is partitioned. This will try to keep as many elements of the segment on the same processor as corresponding neighboring key elements are.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataSegmentPartition(AOData aodata,const char key[],const char seg[])

Collective on AOData

### Input Parameters

| aodata | - the database
| key | - the key to be partitioned and renumbered

### See Also

AODataKeyPartition(), AODataPartitionAndSetupLocal()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages